/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.waveprotocol.wave.common.bootstrap;

/**
 * Autogenerated by Client Flags Generator
 * Contains tags shared between client and server for passing runtime flags.
 */

public class FlagConstants {
  public static final String ADD_CONTACT_HELP_URL = "0";
  public static final String ADD_NOTIFICATION_EMAILS_HELP_URL = "1";
  public static final String ALL_TEMPLATE_LOCALES = "2";
  public static final String ALL_TUTORIAL_LOCALES = "3";
  public static final String ALL_WELCOME_WAVE_LOCALES = "4";
  public static final String AUTOPRINT = "5";
  public static final String BACKGROUND_PAGE_DELAY = "6";
  public static final String BACKGROUND_PAGE_SIZE = "7";
  public static final String CLEAR_PENDING_NOTIFICATIONS = "8";
  public static final String CLIENT_LOAD_SEARCH_TIMEOUT_MS = "9";
  public static final String CLOSE_SUGGESTIONS_MENU_DELAY_MS = "10";
  public static final String CONFIGURE_NOTIFICATION_SETTINGS = "11";
  public static final String CSI_EXPERIMENT_IDS = "12";
  public static final String CSI_SERVICE = "13";
  public static final String DEFAULT_THREAD_STATE = "14";
  public static final String DIGEST_REMOVAL_COOLDOWN_MS = "15";
  public static final String DISABLE_TEMPLATE_PREFETCH = "16";
  public static final String EDIT_ACCESS_CHECK_MS = "17";
  public static final String EDITOR_INSTRUMENTATION_BUNDLE_SIZE = "18";
  public static final String EDITOR_INSTRUMENTATION_FREQUENCY = "19";
  public static final String ENABLE_ABORT_ON_EMPTY_BLIP_MEANS_CANCEL = "20";
  public static final String ENABLE_ATTACHMENT_DOMAINS = "21";
  public static final String ENABLE_BLIP_CONTEXT_MENU = "22";
  public static final String ENABLE_BLIP_REPORT_ABUSE = "23";
  public static final String ENABLE_CLIENT_CREATED_WELCOME_WAVE = "24";
  public static final String ENABLE_CONFIG_NOTIFICATION_ANNOUNCE_POPUP = "25";
  public static final String ENABLE_CONSOLE_LOGGING = "26";
  public static final String ENABLE_CONTACTS_IN_NAV_PANEL = "27";
  public static final String ENABLE_COPY_PARTICIPANTS = "28";
  public static final String ENABLE_COPY_TO_NEW_WAVE_OPTIONS = "29";
  public static final String ENABLE_DEBUG_MENU = "30";
  public static final String ENABLE_DELETE_ROOT_BLIP = "31";
  public static final String ENABLE_DEMO_MODE = "32";
  public static final String ENABLE_DIGEST_LITE = "33";
  public static final String ENABLE_DIGEST_OPTIMISM = "34";
  public static final String ENABLE_EDITOR_DEBUGGING = "35";
  public static final String ENABLE_EDITOR_INSTRUMENTATION = "36";
  public static final String ENABLE_EQUATION_EDITOR = "37";
  public static final String ENABLE_EXPAND_WITH = "38";
  public static final String ENABLE_EXPORT_BUTTON = "39";
  public static final String ENABLE_EXPORT_MENU_ITEM = "40";
  public static final String ENABLE_EXPORT_TO_GOOGLE_DOCS = "41";
  public static final String ENABLE_EXTENSION_CACHE = "42";
  public static final String ENABLE_EXTENSIONS_QUICKLINK = "43";
  public static final String ENABLE_EXTERNAL_SITE_SHARING = "44";
  public static final String ENABLE_FAKE_MODE = "45";
  public static final String ENABLE_FOLDER_COLORS = "46";
  public static final String ENABLE_FULL_SCREEN_MAXIMIZE = "47";
  public static final String ENABLE_FULL_WAVE_EDIT_MODE = "48";
  public static final String ENABLE_G_VIEW_IN_NEW_TAB = "49";
  public static final String ENABLE_GROUPS_IN_NAV_PANEL = "50";
  public static final String ENABLE_HIRING_MESSAGE = "51";
  public static final String ENABLE_HOVER_INLINE_REPLIES = "52";
  public static final String ENABLE_HTML_TEMPLATES = "53";
  public static final String ENABLE_IMAGE_DOWNSAMPLING = "54";
  public static final String ENABLE_INVITE_BY_EMAIL = "55";
  public static final String ENABLE_INVITE_BY_EMAIL_CALLOUT = "56";
  public static final String ENABLE_JSON_MESSAGE_DEBUG = "57";
  public static final String ENABLE_LINK_TO_BLIP = "58";
  public static final String ENABLE_LINK_TO_HERE_BUTTON = "59";
  public static final String ENABLE_LINK_TO_WAVE = "60";
  public static final String ENABLE_NAV_PANEL_LOGO = "61";
  public static final String ENABLE_NEW_BLIP_UI = "62";
  public static final String ENABLE_NEW_COLLAPSABLE_THREAD_UI = "63";
  public static final String ENABLE_NEW_SHINY_UI = "64";
  public static final String ENABLE_NEXT_UNREAD_BLIP_IN_FOOTER = "65";
  public static final String ENABLE_NEXT_UNREAD_BLIP_IN_TOOLBAR = "66";
  public static final String ENABLE_NOTIFICATION_ANNOUNCE_POPUP = "67";
  public static final String ENABLE_NOTIFICATION_PER_WAVE = "68";
  public static final String ENABLE_NOTIFICATION_SETTINGS = "69";
  public static final String ENABLE_NUBIF_MONKEY_PUNCHING = "70";
  public static final String ENABLE_ONE_WAVE = "71";
  public static final String ENABLE_OPTIMISTIC_DIGEST_ARCHIVING = "72";
  public static final String ENABLE_PARTICIPANT_DIFF_ON_OPEN = "73";
  public static final String ENABLE_PARTICIPANT_ROLES = "74";
  public static final String ENABLE_PLAYBACK_RESTORATION = "75";
  public static final String ENABLE_PRINT_BUTTON = "76";
  public static final String ENABLE_PRINT_CTRL_P = "77";
  public static final String ENABLE_PRINT_MENU_ITEM = "78";
  public static final String ENABLE_QUICK_BLIP_DELETE = "79";
  public static final String ENABLE_REFINEMENT = "80";
  public static final String ENABLE_REGEX_HOOKS = "81";
  public static final String ENABLE_REMOVE_PARTICIPANT = "82";
  public static final String ENABLE_REPLY_BOX = "83";
  public static final String ENABLE_ROSY = "84";
  public static final String ENABLE_SCROLLY = "85";
  public static final String ENABLE_SEARCH_DRAG_DROP = "86";
  public static final String ENABLE_SEARCH_PANEL = "87";
  public static final String ENABLE_SEEN_VERSIONING = "88";
  public static final String ENABLE_SELECTION_MENU = "89";
  public static final String ENABLE_SIMPLE_DIGEST = "90";
  public static final String ENABLE_SPELL_AUTOCORRECT = "91";
  public static final String ENABLE_SPELLY = "92";
  public static final String ENABLE_STILL_UPLOADING_WARNING = "93";
  public static final String ENABLE_TEMPLATE_LOCALES = "94";
  public static final String ENABLE_TEMPLATED_SEARCH_PANEL_NEW_WAVE = "95";
  public static final String ENABLE_TEMPLATED_WELCOME_PANEL = "96";
  public static final String ENABLE_THUMBNAIL_MENU = "97";
  public static final String ENABLE_TOOLBAR_CATEGORIES = "98";
  public static final String ENABLE_TOP_PANEL = "99";
  public static final String ENABLE_TRUST_REQUEST = "100";
  public static final String ENABLE_TRUSTY_BLACKLIST = "101";
  public static final String ENABLE_TUTORIAL_LOCALES = "102";
  public static final String ENABLE_TYPE_TO_CONTINUE = "103";
  public static final String ENABLE_UNDERCURRENT_EDITING = "104";
  public static final String ENABLE_UNDO = "105";
  public static final String ENABLE_VIEWPORT_STATS = "106";
  public static final String ENABLE_WAVE_PANEL_HARNESS = "107";
  public static final String ENABLE_WAVE_UNDO = "108";
  public static final String ENABLE_WAVE_UNDO_BUTTONS = "109";
  public static final String ENABLE_WAVE_UNDO_UI = "110";
  public static final String ENABLE_WEB_SOCKET_MODE = "111";
  public static final String ENABLE_WEBDRIVER_HOOK = "112";
  public static final String ENABLE_WELCOME_PANEL_HOOKS = "113";
  public static final String ENABLE_WELCOME_PANEL_TUTORIAL = "114";
  public static final String ENABLE_WELCOME_WAVE_LOCALES = "115";
  public static final String EXPAND_WELCOME_PANEL_TUTORIAL = "116";
  public static final String EXTENSIONS_ALL_GROUP = "117";
  public static final String EXTENSIONS_FEATURED_GROUP = "118";
  public static final String FAIL_FAST_ON_UNAUTHORISED_EDITS = "119";
  public static final String FEEDBACK_URL = "120";
  public static final String FOLLOW_ALL_WAVES = "121";
  public static final String FORCE_NEW_WELCOME_PANEL = "122";
  public static final String FORCE_SHOW_NOTIFICATION_ANNOUNCE_POPUP = "123";
  public static final String GVIEW_PROVIDER_ID = "124";
  public static final String GVIEW_URL = "125";
  public static final String HIDE_BLUE_LINE_REPLIES = "126";
  public static final String HIDE_REPLY_BUTTON = "127";
  public static final String HIRING_MESSAGE = "128";
  public static final String IDLE_TIMEOUT_MILLIS = "129";
  public static final String IGNORE_UDW_ERRORS = "130";
  public static final String INHERIT_ACCESS_ROLES = "131";
  public static final String INITIAL_RPC_BACKOFF_MS = "132";
  public static final String INVITE_BY_MAIL_HELP_URL = "133";
  public static final String IS_INTERNAL_DOGFOOD_INSTANCE = "134";
  public static final String KNOWN_ISSUES_NUMBER = "135";
  public static final String LAYOUT_ANIMATION_MS = "136";
  public static final String LEARN_MORE_ABOUT_NOTIFICATIONS_HELP_URL = "137";
  public static final String LIST_EMAIL_CONTACTS = "138";
  public static final String LOAD_OR_CREATE_SETTINGS_WAVES = "139";
  public static final String LOGO_HEIGHT = "140";
  public static final String LOGO_URL = "141";
  public static final String LOGO_WIDTH = "142";
  public static final String MAX_CALLOUT_PARTICIPANTS = "143";
  public static final String MAX_CONTACTS_DESKTOP = "144";
  public static final String MAX_CONTACTS_MOBILE = "145";
  public static final String MAX_NUMBER_OF_PINGS = "146";
  public static final String MAX_PREFETCH_BURST_RATE = "147";
  public static final String MAX_PREFETCH_STEADY_RATE = "148";
  public static final String MAX_RPC_BACKOFF_MS = "149";
  public static final String MAX_RPC_BURST_RATE = "150";
  public static final String MAX_RPC_STEADY_RATE = "151";
  public static final String MIN_RPC_RETRY_TIME = "152";
  public static final String MUNGE_DOMAINS = "153";
  public static final String NO_INDENTED_REPLIES = "154";
  public static final String NO_UDW_AUTHORS = "155";
  public static final String NUM_PARTICIPANT_SUGGESTIONS = "156";
  public static final String NUM_SHORT_NAME_CONTACTS = "157";
  public static final String PING_TYPE = "158";
  public static final String PLAYBACK_PREFETCH_DELAY = "159";
  public static final String PRESERVE_SELECTION_ON_EDIT = "160";
  public static final String PROFILE_PICTURE_GADGET_URL = "161";
  public static final String RECONNECTION_FUDGE_TIME = "162";
  public static final String REFRESH_CONTACTS_DELAY_SECONDS = "163";
  public static final String REMOVE_PARTICIPANT_ACCESS_CHECK_MS = "164";
  public static final String RENDER_ALL_REPLIES_INLINE = "165";
  public static final String REPLACE_ALL_WITH_PUBLIC = "166";
  public static final String ROBOT_DOMAINS = "167";
  public static final String SANITY_CHECKER_TIMEOUT_MS = "168";
  public static final String SCHEDULER_KNOBS = "169";
  public static final String SCROLLY_FLAT_SPEED = "170";
  public static final String SCROLLY_FLAT_THRESHOLD = "171";
  public static final String SCROLLY_GRADIENT = "172";
  public static final String SCRUB_REFERRERS = "173";
  public static final String SEARCH_EMAIL_CONTACTS = "174";
  public static final String SETTINGS_AVAILABLE_LANGUAGES = "175";
  public static final String SHOW_BI_DI_BUTTONS = "176";
  public static final String SHOW_GADGET_SETTING = "177";
  public static final String SHOW_LANGUAGE_SETTING = "178";
  public static final String SHOW_PUBLIC_PARTICIPANT = "179";
  public static final String SHOW_SCROLLY_SETTING = "180";
  public static final String SHOW_TRUST_URLS_SETTING = "181";
  public static final String SLOW_TASK_BUCKET_CUTOFF = "182";
  public static final String SLOW_TASK_MIN_MS_CUTOFF = "183";
  public static final String SLOW_TASKS_REPORTED = "184";
  public static final String SPELL_CORRECT_HIGH_THRESHOLD = "185";
  public static final String SPELL_CORRECT_THRESHOLD = "186";
  public static final String SPELL_MENU_DELAY_MS = "187";
  public static final String SUGGESTION_POLL_INTERVAL = "188";
  public static final String TEMPLATE_LOAD_TIMEOUT_MS = "189";
  public static final String UIX_IMAGE_PROXY_URL = "190";
  public static final String USE_ATTACHMENT_DATA_DOCUMENTS = "191";
  public static final String USE_BACKEND_CONTACTS = "192";
  public static final String USE_BACKGROUND_WAVE_PAGING = "193";
  public static final String USE_COLOURED_CARETS = "194";
  public static final String USE_CONVERSATION_MODEL = "195";
  public static final String USE_DIFF_ON_OPEN = "196";
  public static final String USE_EXTENSION_WAVES = "197";
  public static final String USE_FANCY_CURSOR_BIAS = "198";
  public static final String USE_FOLLOW = "199";
  public static final String USE_HISTORY_SERVER_FOR_PLAYBACK = "200";
  public static final String USE_IDLE_DETECTOR = "201";
  public static final String USE_LINE_CONTAINER = "202";
  public static final String USE_NEW_BLIP_STRUCTURE = "203";
  public static final String USE_NEW_CONTACT_PICKER = "204";
  public static final String USE_PARTICIPANT_PANEL_DRAG_DROP = "205";
  public static final String USE_PARTICIPANT_SUGGESTION = "206";
  public static final String USE_PRESENTATION_MODEL = "207";
  public static final String USE_PRIVATE_GADGET_STATES = "208";
  public static final String USE_PROFILE_WAVES = "209";
  public static final String USE_SEMANTIC_COPY_PASTE = "210";
  public static final String USE_WAVE_PAGING = "211";
  public static final String USE_WEBKIT_COMPOSITION_EVENTS = "212";
  public static final String USE_WHITELIST_IN_EDITOR = "213";
  public static final String VALIDATE_LOCAL_OPS = "214";
  public static final String WAVE_CACHE_TIME_TO_EVICT = "215";
  public static final String WAVE_FETCH_TIMEOUT = "216";
  public static final String WAVE_LOADING_INDICATOR = "217";
  public static final String WAVE_PAGE_RATIO = "218";
  public static final String WAVE_USER_DOMAIN = "219";
  public static final String WAVELET_SYNC_INDICATOR_TIMEOUT_MS = "220";
  public static final String WELCOME_PANEL_TEMPLATE_CAPTIONS = "221";
  public static final String WELCOME_PANEL_TEMPLATE_ICONS = "222";
  public static final String WELCOME_PANEL_TEMPLATE_WAVES = "223";
  public static final String WELCOME_PANEL_TUTORIAL_CAPTIONS = "224";
  public static final String WELCOME_PANEL_TUTORIAL_ICONS = "225";
  public static final String WELCOME_PANEL_TUTORIAL_WAVES = "226";
  public static final String WELCOME_WAVE_ID = "227";


  public static final String[] __NAME_MAPPING__ = new String[] {
    "addContactHelpUrl", "0",
    "addNotificationEmailsHelpUrl", "1",
    "allTemplateLocales", "2",
    "allTutorialLocales", "3",
    "allWelcomeWaveLocales", "4",
    "autoprint", "5",
    "backgroundPageDelay", "6",
    "backgroundPageSize", "7",
    "clearPendingNotifications", "8",
    "clientLoadSearchTimeoutMs", "9",
    "closeSuggestionsMenuDelayMs", "10",
    "configureNotificationSettings", "11",
    "csiExperimentIds", "12",
    "csiService", "13",
    "defaultThreadState", "14",
    "digestRemovalCooldownMs", "15",
    "disableTemplatePrefetch", "16",
    "editAccessCheckMs", "17",
    "editorInstrumentationBundleSize", "18",
    "editorInstrumentationFrequency", "19",
    "enableAbortOnEmptyBlipMeansCancel", "20",
    "enableAttachmentDomains", "21",
    "enableBlipContextMenu", "22",
    "enableBlipReportAbuse", "23",
    "enableClientCreatedWelcomeWave", "24",
    "enableConfigNotificationAnnouncePopup", "25",
    "enableConsoleLogging", "26",
    "enableContactsInNavPanel", "27",
    "enableCopyParticipants", "28",
    "enableCopyToNewWaveOptions", "29",
    "enableDebugMenu", "30",
    "enableDeleteRootBlip", "31",
    "enableDemoMode", "32",
    "enableDigestLite", "33",
    "enableDigestOptimism", "34",
    "enableEditorDebugging", "35",
    "enableEditorInstrumentation", "36",
    "enableEquationEditor", "37",
    "enableExpandWith", "38",
    "enableExportButton", "39",
    "enableExportMenuItem", "40",
    "enableExportToGoogleDocs", "41",
    "enableExtensionCache", "42",
    "enableExtensionsQuicklink", "43",
    "enableExternalSiteSharing", "44",
    "enableFakeMode", "45",
    "enableFolderColors", "46",
    "enableFullScreenMaximize", "47",
    "enableFullWaveEditMode", "48",
    "enableGViewInNewTab", "49",
    "enableGroupsInNavPanel", "50",
    "enableHiringMessage", "51",
    "enableHoverInlineReplies", "52",
    "enableHtmlTemplates", "53",
    "enableImageDownsampling", "54",
    "enableInviteByEmail", "55",
    "enableInviteByEmailCallout", "56",
    "enableJsonMessageDebug", "57",
    "enableLinkToBlip", "58",
    "enableLinkToHereButton", "59",
    "enableLinkToWave", "60",
    "enableNavPanelLogo", "61",
    "enableNewBlipUi", "62",
    "enableNewCollapsableThreadUi", "63",
    "enableNewShinyUi", "64",
    "enableNextUnreadBlipInFooter", "65",
    "enableNextUnreadBlipInToolbar", "66",
    "enableNotificationAnnouncePopup", "67",
    "enableNotificationPerWave", "68",
    "enableNotificationSettings", "69",
    "enableNubifMonkeyPunching", "70",
    "enableOneWave", "71",
    "enableOptimisticDigestArchiving", "72",
    "enableParticipantDiffOnOpen", "73",
    "enableParticipantRoles", "74",
    "enablePlaybackRestoration", "75",
    "enablePrintButton", "76",
    "enablePrintCtrlP", "77",
    "enablePrintMenuItem", "78",
    "enableQuickBlipDelete", "79",
    "enableRefinement", "80",
    "enableRegexHooks", "81",
    "enableRemoveParticipant", "82",
    "enableReplyBox", "83",
    "enableRosy", "84",
    "enableScrolly", "85",
    "enableSearchDragDrop", "86",
    "enableSearchPanel", "87",
    "enableSeenVersioning", "88",
    "enableSelectionMenu", "89",
    "enableSimpleDigest", "90",
    "enableSpellAutocorrect", "91",
    "enableSpelly", "92",
    "enableStillUploadingWarning", "93",
    "enableTemplateLocales", "94",
    "enableTemplatedSearchPanelNewWave", "95",
    "enableTemplatedWelcomePanel", "96",
    "enableThumbnailMenu", "97",
    "enableToolbarCategories", "98",
    "enableTopPanel", "99",
    "enableTrustRequest", "100",
    "enableTrustyBlacklist", "101",
    "enableTutorialLocales", "102",
    "enableTypeToContinue", "103",
    "enableUndercurrentEditing", "104",
    "enableUndo", "105",
    "enableViewportStats", "106",
    "enableWavePanelHarness", "107",
    "enableWaveUndo", "108",
    "enableWaveUndoButtons", "109",
    "enableWaveUndoUi", "110",
    "enableWebSocketMode", "111",
    "enableWebdriverHook", "112",
    "enableWelcomePanelHooks", "113",
    "enableWelcomePanelTutorial", "114",
    "enableWelcomeWaveLocales", "115",
    "expandWelcomePanelTutorial", "116",
    "extensionsAllGroup", "117",
    "extensionsFeaturedGroup", "118",
    "failFastOnUnauthorisedEdits", "119",
    "feedbackUrl", "120",
    "followAllWaves", "121",
    "forceNewWelcomePanel", "122",
    "forceShowNotificationAnnouncePopup", "123",
    "gviewProviderId", "124",
    "gviewUrl", "125",
    "hideBlueLineReplies", "126",
    "hideReplyButton", "127",
    "hiringMessage", "128",
    "idleTimeoutMillis", "129",
    "ignoreUdwErrors", "130",
    "inheritAccessRoles", "131",
    "initialRpcBackoffMs", "132",
    "inviteByMailHelpUrl", "133",
    "isInternalDogfoodInstance", "134",
    "knownIssuesNumber", "135",
    "layoutAnimationMs", "136",
    "learnMoreAboutNotificationsHelpUrl", "137",
    "listEmailContacts", "138",
    "loadOrCreateSettingsWaves", "139",
    "logoHeight", "140",
    "logoUrl", "141",
    "logoWidth", "142",
    "maxCalloutParticipants", "143",
    "maxContactsDesktop", "144",
    "maxContactsMobile", "145",
    "maxNumberOfPings", "146",
    "maxPrefetchBurstRate", "147",
    "maxPrefetchSteadyRate", "148",
    "maxRpcBackoffMs", "149",
    "maxRpcBurstRate", "150",
    "maxRpcSteadyRate", "151",
    "minRpcRetryTime", "152",
    "mungeDomains", "153",
    "noIndentedReplies", "154",
    "noUdwAuthors", "155",
    "numParticipantSuggestions", "156",
    "numShortNameContacts", "157",
    "pingType", "158",
    "playbackPrefetchDelay", "159",
    "preserveSelectionOnEdit", "160",
    "profilePictureGadgetUrl", "161",
    "reconnectionFudgeTime", "162",
    "refreshContactsDelaySeconds", "163",
    "removeParticipantAccessCheckMs", "164",
    "renderAllRepliesInline", "165",
    "replaceAllWithPublic", "166",
    "robotDomains", "167",
    "sanityCheckerTimeoutMs", "168",
    "schedulerKnobs", "169",
    "scrollyFlatSpeed", "170",
    "scrollyFlatThreshold", "171",
    "scrollyGradient", "172",
    "scrubReferrers", "173",
    "searchEmailContacts", "174",
    "settingsAvailableLanguages", "175",
    "showBiDiButtons", "176",
    "showGadgetSetting", "177",
    "showLanguageSetting", "178",
    "showPublicParticipant", "179",
    "showScrollySetting", "180",
    "showTrustUrlsSetting", "181",
    "slowTaskBucketCutoff", "182",
    "slowTaskMinMsCutoff", "183",
    "slowTasksReported", "184",
    "spellCorrectHighThreshold", "185",
    "spellCorrectThreshold", "186",
    "spellMenuDelayMs", "187",
    "suggestionPollInterval", "188",
    "templateLoadTimeoutMs", "189",
    "uixImageProxyUrl", "190",
    "useAttachmentDataDocuments", "191",
    "useBackendContacts", "192",
    "useBackgroundWavePaging", "193",
    "useColouredCarets", "194",
    "useConversationModel", "195",
    "useDiffOnOpen", "196",
    "useExtensionWaves", "197",
    "useFancyCursorBias", "198",
    "useFollow", "199",
    "useHistoryServerForPlayback", "200",
    "useIdleDetector", "201",
    "useLineContainer", "202",
    "useNewBlipStructure", "203",
    "useNewContactPicker", "204",
    "useParticipantPanelDragDrop", "205",
    "useParticipantSuggestion", "206",
    "usePresentationModel", "207",
    "usePrivateGadgetStates", "208",
    "useProfileWaves", "209",
    "useSemanticCopyPaste", "210",
    "useWavePaging", "211",
    "useWebkitCompositionEvents", "212",
    "useWhitelistInEditor", "213",
    "validateLocalOps", "214",
    "waveCacheTimeToEvict", "215",
    "waveFetchTimeout", "216",
    "waveLoadingIndicator", "217",
    "wavePageRatio", "218",
    "waveUserDomain", "219",
    "waveletSyncIndicatorTimeoutMs", "220",
    "welcomePanelTemplateCaptions", "221",
    "welcomePanelTemplateIcons", "222",
    "welcomePanelTemplateWaves", "223",
    "welcomePanelTutorialCaptions", "224",
    "welcomePanelTutorialIcons", "225",
    "welcomePanelTutorialWaves", "226",
    "welcomeWaveId", "227",

  };
}